#ifndef XSENTIENTHANDLE_H
#define XSENTIENTHANDLE_H

#include "xasset.h"

class XSentientHandle : public XAsset
{
public:
    explicit XSentientHandle();
    ~XSentientHandle();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint32 mNumber;
    quint32 mInfoIndex;
};

#endif // XSENTIENTHANDLE_H
